## WebKitDOMHTMLFieldSetElement WebKitDOMHTMLFieldSetElement |

## Functions

gboolean | webkit_dom_html_field_set_element_check_validity ()
void | webkit_dom_html_field_set_element_set_custom_validity ()
gboolean | webkit_dom_html_field_set_element_get_disabled ()
void | webkit_dom_html_field_set_element_set_disabled ()
WebKitDOMHTMLFormElement * | webkit_dom_html_field_set_element_get_form ()
gchar * | webkit_dom_html_field_set_element_get_name ()
void | webkit_dom_html_field_set_element_set_name ()
WebKitDOMHTMLCollection * | webkit_dom_html_field_set_element_get_elements ()
gboolean | webkit_dom_html_field_set_element_get_will_validate ()
WebKitDOMValidityState * | webkit_dom_html_field_set_element_get_validity ()
gchar * | webkit_dom_html_field_set_element_get_validation_message ()

## Properties

gboolean | disabled | Read / Write
WebKitDOMHTMLCollection * | elements | Read
WebKitDOMHTMLFormElement * | form | Read
gchar * | name | Read / Write
gchar * | type | Read
gchar * | validation-message | Read
WebKitDOMValidityState * | validity | Read
gboolean | will-validate | Read

## Types and Values

| WebKitDOMHTMLFieldSetElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLFieldSetElement

## Implemented Interfaces

WebKitDOMHTMLFieldSetElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_field_set_element_check_validity ()

    gboolean
    webkit_dom_html_field_set_element_check_validity
                                   (WebKitDOMHTMLFieldSetElement *self);

#### Parameters

self | A WebKitDOMHTMLFieldSetElement |

#### Returns

A gboolean

### webkit_dom_html_field_set_element_set_custom_validity ()

    void
    webkit_dom_html_field_set_element_set_custom_validity
                                   (WebKitDOMHTMLFieldSetElement *self,
                                    const gchar *error);

#### Parameters

self | A WebKitDOMHTMLFieldSetElement |
error | A gchar |

### webkit_dom_html_field_set_element_get_disabled ()

    gboolean
    webkit_dom_html_field_set_element_get_disabled
                                   (WebKitDOMHTMLFieldSetElement *self);

#### Parameters

self | A WebKitDOMHTMLFieldSetElement |

#### Returns

A gboolean

### webkit_dom_html_field_set_element_set_disabled ()

    void
    webkit_dom_html_field_set_element_set_disabled
                                   (WebKitDOMHTMLFieldSetElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLFieldSetElement |
value | A gboolean |

### webkit_dom_html_field_set_element_get_form ()

    WebKitDOMHTMLFormElement *
    webkit_dom_html_field_set_element_get_form
                                   (WebKitDOMHTMLFieldSetElement *self);

#### Parameters

self | A WebKitDOMHTMLFieldSetElement |

#### Returns

A WebKitDOMHTMLFormElement.

[transfer none]

### webkit_dom_html_field_set_element_get_name ()

    gchar *
    webkit_dom_html_field_set_element_get_name
                                   (WebKitDOMHTMLFieldSetElement *self);

#### Parameters

self | A WebKitDOMHTMLFieldSetElement |

#### Returns

A gchar

### webkit_dom_html_field_set_element_set_name ()

    void
    webkit_dom_html_field_set_element_set_name
                                   (WebKitDOMHTMLFieldSetElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLFieldSetElement |
value | A gchar |

### webkit_dom_html_field_set_element_get_elements ()

    WebKitDOMHTMLCollection *
    webkit_dom_html_field_set_element_get_elements
                                   (WebKitDOMHTMLFieldSetElement *self);

#### Parameters

self | A WebKitDOMHTMLFieldSetElement |

#### Returns

A WebKitDOMHTMLCollection.

[transfer none]

### webkit_dom_html_field_set_element_get_will_validate ()

    gboolean
    webkit_dom_html_field_set_element_get_will_validate
                                   (WebKitDOMHTMLFieldSetElement *self);

#### Parameters

self | A WebKitDOMHTMLFieldSetElement |

#### Returns

A gboolean

### webkit_dom_html_field_set_element_get_validity ()

    WebKitDOMValidityState *
    webkit_dom_html_field_set_element_get_validity
                                   (WebKitDOMHTMLFieldSetElement *self);

#### Parameters

self | A WebKitDOMHTMLFieldSetElement |

#### Returns

A WebKitDOMValidityState.

[transfer none]

### webkit_dom_html_field_set_element_get_validation_message ()

    gchar *
    webkit_dom_html_field_set_element_get_validation_message
                                   (WebKitDOMHTMLFieldSetElement *self);

#### Parameters

self | A WebKitDOMHTMLFieldSetElement |

#### Returns

A gchar

## Types and Values

### WebKitDOMHTMLFieldSetElement

    typedef struct _WebKitDOMHTMLFieldSetElement WebKitDOMHTMLFieldSetElement;

## Property Details

### The `“disabled”` property

      “disabled”                 gboolean

read-write gboolean HTMLFieldSetElement:disabled.

Flags: Read / Write

Default value: FALSE

### The `“elements”` property

      “elements”                 WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* HTMLFieldSetElement:elements.

Flags: Read

### The `“form”` property

      “form”                     WebKitDOMHTMLFormElement *

read-only WebKitDOMHTMLFormElement* HTMLFieldSetElement:form.

Flags: Read

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLFieldSetElement:name.

Flags: Read / Write

Default value: ""

### The `“type”` property

      “type”                     gchar *

read-only gchar* HTMLFieldSetElement:type.

Flags: Read

Default value: ""

### The `“validation-message”` property

      “validation-message”       gchar *

read-only gchar* HTMLFieldSetElement:validation-message.

Flags: Read

Default value: ""

### The `“validity”` property

      “validity”                 WebKitDOMValidityState *

read-only WebKitDOMValidityState* HTMLFieldSetElement:validity.

Flags: Read

### The `“will-validate”` property

      “will-validate”            gboolean

read-only gboolean HTMLFieldSetElement:will-validate.

Flags: Read

Default value: FALSE